### Function

# Gimp path_parse

#### Declaration [src]

    GList*
    gimp_path_parse (
      const gchar* path,
      gint max_paths,
      gboolean check,
      GList** check_failed
    )

#### Description

No description available.

#### Parameters

`path`

  Type: `const gchar*`

  A list of directories separated by #G_SEARCHPATH_SEPARATOR.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`max_paths`

  Type: `gint`

  The maximum number of directories to return.

`check`

  Type: `gboolean`

  `TRUE` if you want the directories to be checked.

`check_failed`

  Type: A list of `filename`

                    Returns a `GList` of path elements for which the check failed.

  The argument will be set by the function.
  The called function takes ownership of the data, and is responsible for freeing it.
  Each element is a file system path, using the OS encoding.

#### Return value

Type: A list of `filename`

            A `GList` of all directories in `path`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a file system path, using the OS encoding.